This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311396 - oc download link should not be origin released link on ose web console
oc download link should not be origin released link on ose web console
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Troy Dawson
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 02:37 EST by Wei Sun
Modified: 2016-05-12 12:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:30:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2016-02-24 02:37:55 EST
Description of problem:
Access /console/about , there is download oc link,but the link is origin release link (https://github.com/openshift/origin/releases/latest) .
The link should be Red Hat Customer Portal link.

Version-Release number of selected component (if applicable):
openshift v3.1.1.905
kubernetes v1.2.0-alpha.7-703-gbc4550d
etcd 2.2.5


How reproducible:
Always

Steps to Reproduce:
1.Access /console/about
2.Check  download oc link
3.

Actual results:
the link is origin release link (https://github.com/openshift/origin/releases/latest) 

Expected results:
The link should be Red Hat Customer Portal link.

Additional info:
In the doc (cli_reference/get_started_cli.html),we could see "Download the CLI from the Red Hat Customer Portal" ,and the link is Red Hat Customer Portal link.
Comment 1 Jessica Forrester 2016-02-24 09:17:32 EST
Not sure if this is already getting fixed as part of https://bugzilla.redhat.com/show_bug.cgi?id=1309205
Comment 2 Troy Dawson 2016-02-24 10:15:20 EST
No, this didn't get fixed as part of #1309205
Where should this be pointing, I need a real link versus "Red Hat Customer Portal link"
Comment 3 Troy Dawson 2016-02-24 13:32:51 EST
I found the URL and have made the changes.  Sorry, I only skimmed the last part of what you wrote.
This will be in atomic-openshift 3.1.1.906.
I'll mark this on-qe when images get built for it.
Comment 4 Wei Sun 2016-02-25 01:12:57 EST
Checked the bug in v3.1.1.906,the link is "Red Hat Customer Portal link" now.After the bug is moved to ON_QA,I'll verify it.
Comment 5 Troy Dawson 2016-02-25 09:25:05 EST
Images are now built and in appropriate areas.  Marking ON_QA
Comment 6 Wei Sun 2016-02-26 01:46:29 EST
Verified this bug according to #Comment 5
Comment 8 errata-xmlrpc 2016-05-12 12:30:28 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.